// (C) 2023 GoodData Corporation
import React from "react";
import { ResponsiveText } from "@gooddata/sdk-ui-kit";
import { useComparisonDataItem } from "./useComparisonDataItem.js";
import { withTitle } from "../withTitle.js";
import ComparisonValue from "./ComparisonValue.js";
const ComparisonDataItem = ({ dataItem, evaluationType, }) => {
    const { style, indicator: ComparisonIndicator } = useComparisonDataItem(evaluationType);
    return (React.createElement("div", { style: style, className: "headline-value-wrapper s-headline-value-wrapper" },
        React.createElement(ResponsiveText, null,
            React.createElement("div", { className: "comparison-headline-value-wrapper s-comparison-headline-value-wrapper" },
                ComparisonIndicator ? React.createElement(ComparisonIndicator, null) : null,
                React.createElement(ComparisonValue, { dataItem: dataItem, comparisonStyle: style })))));
};
export default withTitle(ComparisonDataItem);
//# sourceMappingURL=ComparisonDataItem.js.map