// (C) 2023 GoodData Corporation
import React from "react";
import cx from "classnames";
import { useBaseHeadlineDataItem } from "../useBaseHeadlineDataItem.js";
const ComparisonValue = ({ dataItem, comparisonStyle, isSubItem }) => {
    const { formattedItem } = useBaseHeadlineDataItem(dataItem);
    const style = {
        ...(formattedItem?.cssStyle || {}),
        ...(comparisonStyle || {}),
    };
    const valueClassNames = cx(["comparison-headline-value", "s-comparison-headline-value", "headline-value", "s-headline-value"], {
        "headline-value--empty s-headline-value--empty": formattedItem?.isValueEmpty && !comparisonStyle?.color,
    });
    return (React.createElement("div", { style: style, className: valueClassNames }, isSubItem ? `(${formattedItem?.value})` : formattedItem?.value));
};
export default ComparisonValue;
//# sourceMappingURL=ComparisonValue.js.map