import { useBaseHeadline } from "../../BaseHeadlineContext.js";
import { getComparisonColor } from "../../../../utils/ComparisonDataItemUtils.js";
import ComparisonIndicators from "./ComparisonIndicator.js";
export const useComparisonDataItem = (evaluationType) => {
    const { config } = useBaseHeadline();
    const { colorConfig, isArrowEnabled } = config.comparison;
    const color = getComparisonColor(colorConfig, evaluationType, config.colorPalette);
    const indicator = isArrowEnabled ? ComparisonIndicators[evaluationType] : null;
    const style = {
        ...(color ? { color } : {}),
    };
    return {
        style,
        indicator,
    };
};
//# sourceMappingURL=useComparisonDataItem.js.map