// (C) 2023 GoodData Corporation
import React, { useMemo } from "react";
import { useIntl } from "react-intl";
import BaseHeadline from "../headlines/baseHeadline/BaseHeadline.js";
import { useFireDrillEvent } from "./useFiredDrillEvent.js";
import { getComparisonBaseHeadlineData } from "../utils/ComparisonTransformationUtils.js";
import { COMPARISON_DEFAULT_OBJECT } from "../interfaces/BaseHeadlines.js";
const ComparisonTransformation = ({ dataView, drillableItems, config, onAfterRender, onDrill, }) => {
    const baseHeadlineConfig = config?.comparison
        ? config
        : {
            ...config,
            comparison: COMPARISON_DEFAULT_OBJECT,
        };
    const { comparison } = baseHeadlineConfig;
    const intl = useIntl();
    const { handleFiredDrillEvent } = useFireDrillEvent(dataView, onDrill);
    const data = useMemo(() => getComparisonBaseHeadlineData(dataView, drillableItems, comparison, intl), [dataView, drillableItems, comparison, intl]);
    return (React.createElement(BaseHeadline, { data: data, config: baseHeadlineConfig, onDrill: handleFiredDrillEvent, onAfterRender: onAfterRender }));
};
export default ComparisonTransformation;
//# sourceMappingURL=ComparisonTransformation.js.map