import { getRgbStringFromRGB } from "@gooddata/sdk-ui-vis-commons";
import { EvaluationType } from "../interfaces/BaseHeadlines.js";
import { ComparisonColorType, DEFAULT_COMPARISON_PALETTE, getComparisonRgbColor, } from "../../headlineHelper.js";
export const getComparisonColor = (colorConfig, evaluationType, colorPalette = DEFAULT_COMPARISON_PALETTE) => {
    if (colorConfig?.disabled || !evaluationType) {
        return null;
    }
    const { providedColor, colorType } = getProvidedColorByEvaluationType(colorConfig, evaluationType);
    const rgbColor = getComparisonRgbColor(providedColor, colorType, colorPalette);
    return rgbColor && getRgbStringFromRGB(rgbColor);
};
const getProvidedColorByEvaluationType = (colorConfig, evaluationType) => {
    switch (evaluationType) {
        case EvaluationType.POSITIVE_VALUE:
            return {
                providedColor: colorConfig?.positive,
                colorType: ComparisonColorType.POSITIVE,
            };
        case EvaluationType.NEGATIVE_VALUE:
            return {
                providedColor: colorConfig?.negative,
                colorType: ComparisonColorType.NEGATIVE,
            };
        default:
        case EvaluationType.EQUALS_VALUE:
            return {
                providedColor: colorConfig?.equals,
                colorType: ComparisonColorType.EQUALS,
            };
    }
};
//# sourceMappingURL=ComparisonDataItemUtils.js.map