import React from "react";
import { WrappedComponentProps } from "react-intl";
import { ITheme } from "@gooddata/sdk-model";
import { ICoreChartProps } from "../../interfaces/index.js";
import { RepeaterColumnResizedCallback } from "./publicTypes.js";
export * from "./publicTypes.js";
export * from "./columnWidths.js";
/**
 * @internal
 */
export interface ICoreRepeaterChartProps extends ICoreChartProps, WrappedComponentProps {
    theme?: ITheme;
    /**
     * Specify function to call when user manually resizes a table column.
     *
     * @param columnWidths - new widths for columns
     */
    onColumnResized?: RepeaterColumnResizedCallback;
}
export declare const CoreRepeaterImpl: React.FC<ICoreRepeaterChartProps>;
/**
 * @internal
 */
export declare const CoreRepeater: React.FC<ICoreRepeaterChartProps>;
//# sourceMappingURL=CoreRepeater.d.ts.map