import { IAttribute, IAttributeOrMeasure, IBucket, IDimension, IMeasure } from "@gooddata/sdk-model";
import { IInlineVisualizationsConfig } from "../../../interfaces/index.js";
/**
 * Returns an inline measure definition created from a standalone measure.
 *
 * This should be used in case there is some other slicing attribute in the insight.
 * We want to avoid slicing by the slicing attribute and keep only slicing by the main row attribute.
 *
 * @internal
 *
 * @param measure - measure to be transformed
 * @param mainRowAttributeId - the main slicing attribute id
 * @returns IMeasure
 */
export declare function transformStandaloneMeasureToInline(measure: IMeasure, mainRowAttributeId: string): IMeasure;
/**
 * Constructs repeater buckets from the provided attributes, columns and viewBy
 *
 * @internal
 */
export declare function constructRepeaterBuckets(rowAttribute: IAttribute, columns: IAttributeOrMeasure[], viewBy?: IAttribute, inlineVisualizations?: IInlineVisualizationsConfig): IBucket[];
/**
 * Constructs repeater execution dimensions from the provided buckets.
 *
 * @internal
 */
export declare function constructRepeaterDimensions(buckets: IBucket[]): IDimension[];
//# sourceMappingURL=repeaterExecution.d.ts.map