import { styleVariables } from "../_chartCreators/styles/variables.js";
const LINE_WIDTH = 3;
export function getAreaConfiguration(_config, _definition, theme) {
    const series = {
        type: "area",
        marker: {
            symbol: "circle",
            radius: 4.5,
            lineColor: theme?.chart?.backgroundColor ??
                theme?.palette?.complementary?.c0 ??
                styleVariables.gdColorBackground,
        },
        lineWidth: LINE_WIDTH,
        fillOpacity: 0.6,
        states: {
            hover: {
                lineWidth: LINE_WIDTH + 1,
            },
        },
    };
    return {
        chart: {
            type: "area",
        },
        plotOptions: {
            area: {
                lineWidth: LINE_WIDTH,
            },
            series,
            column: {
                dataLabels: {},
            },
        },
        xAxis: [
            {
                categories: [],
            },
        ],
        yAxis: [
            {
                stackLabels: {
                    enabled: false,
                },
            },
        ],
    };
}
//# sourceMappingURL=areaConfiguration.js.map