import { styleVariables } from "../_chartCreators/styles/variables.js";
export function getBubbleConfiguration(_config, _definition, theme) {
    const series = [
        {
            type: "bubble",
            states: {
                hover: {
                    enabled: false,
                },
            },
        },
    ];
    return {
        chart: {
            type: "bubble",
        },
        plotOptions: {
            series: {
                marker: {
                    enabled: true,
                    symbol: "circle",
                    radius: 5,
                    states: {
                        hover: {
                            enabled: true,
                            lineColor: theme?.chart?.backgroundColor ??
                                theme?.palette?.complementary?.c0 ??
                                styleVariables.gdColorBackground,
                        },
                    },
                },
            },
            bubble: {
                stickyTracking: false,
                dataLabels: {
                    enabled: false, // TODO remove once FF for config panel is removed
                    allowOverlap: false,
                },
                marker: {
                    radius: null,
                },
            },
        },
        xAxis: [
            {
                startOnTick: true,
            },
        ],
        series,
        legend: {
            enabled: false,
        },
    };
}
//# sourceMappingURL=bubbleConfiguration.js.map